GuideLab API

Unregister push subscription

Remove a push subscription by its endpoint URL. Only subscriptions belonging to the current user will be removed. Requires user authentication.

DELETE
/push-subscriptions

Remove a push subscription by its endpoint URL. Only subscriptions belonging to the current user will be removed. Requires user authentication.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X DELETE "https://example.com/push-subscriptions" \  -H "Content-Type: application/json" \  -d '{    "endpoint": "http://example.com"  }'
{  "success": true}
Empty
Empty